import EventEmitter from 'eventemitter3';
import { Observable } from 'rxjs';
type FlattenIfOneElementArray<T> = T extends [infer R] ? R : T;
export declare function fromEvent<Events extends EventEmitter.ValidEventTypes, EventNames extends EventEmitter.EventNames<Events>, EventArgs extends FlattenIfOneElementArray<EventEmitter.EventArgs<Events, EventNames>>>(emitter: EventEmitter<Events>, eventName: EventNames): Observable<EventArgs>;
export {};
