import { OperatorFunction } from 'rxjs';
type BufferDebounce = <T>(time: number) => OperatorFunction<T, T[]>;
type BufferAfterEvent = <T>(time: number) => OperatorFunction<T, T[]>;
/**
 * Emits an array of the values emitted by the source after t seconds without an emission.
 */
export declare const bufferDebounce: BufferDebounce;
/**
 * Emits an array of the values emitted by the source for t seconds after an emission.
 */
export declare const bufferDuringTime: BufferAfterEvent;
export {};
