import { GroupDto, GroupEventDto } from './types';
export declare class GroupDtoBuilder {
    private groupId;
    private chatId;
    private name;
    private owner;
    private participants;
    private ringingType;
    static of({ id }?: {
        id?: string | undefined;
    }): GroupDtoBuilder;
    private constructor();
    build(): GroupDto;
}
export declare class GroupEventDtoBuilder {
    private method?;
    private body?;
    static of(): GroupEventDtoBuilder;
    private constructor();
    withMethod(method: GroupEventDto['method']): GroupEventDtoBuilder;
    withBody(body: GroupEventDto['body']): GroupEventDtoBuilder;
    build(): GroupEventDto;
}
