import { Observable } from 'rxjs';
import { WacRequest } from '../WacRequest';
import { UserDto } from './types';
export declare class UserService {
    private wacRequest;
    constructor(wacRequest: WacRequest);
    updateUser$(id: string, objToUpdate: UserDto): Observable<UserDto>;
    getUser$(id: string): Observable<UserDto>;
    validatePhone$(id: string, code: string, phone: string): Observable<UserDto>;
}
